aboutsummaryrefslogtreecommitdiff
path: root/gen-branch
diff options
context:
space:
mode:
Diffstat (limited to 'gen-branch')
-rwxr-xr-xgen-branch19
1 files changed, 19 insertions, 0 deletions
diff --git a/gen-branch b/gen-branch
new file mode 100755
index 0000000..1875263
--- /dev/null
+++ b/gen-branch
@@ -0,0 +1,19 @@
+#!/usr/bin/env bash
+
+BRANCH_NAME="feature/extra"
+branches=$(echo user/luca/{distribution,dotnet,gotestsum,gotosocial,heisenbridge-1.14.6,hyprlock,matterbridge,nas,poezio-omemo,prose-app-web,swayr,today,vermin,wlrobs,swirc,youtube-tui})
+
+git branch --delete --force "${BRANCH_NAME}"
+git checkout -b "${BRANCH_NAME}"
+
+for branch in ${branches}
+do
+ # git rebase ${branch} || exit 1
+ tmp_name="tmp/${branch}"
+ git checkout "${branch}"
+ git checkout -b "${tmp_name}"
+ git rebase master
+ git checkout "${BRANCH_NAME}"
+ git rebase "${tmp_name}"
+ git branch --delete --force "${tmp_name}"
+done